KOPANO-MIGRATION-PST(8)

NAME
kopano-migration-pst - Utility to import PST files into Kopano

SYNOPSIS

kopano-migration-pst [OPTION...] [PATH]

DESCRIPTION

kopano-migration-pst is a utility to import PST files into Kopano. As PST files are basically MAPI dumps, and Kopano also uses MAPI internally, there should be practically no data loss, even including calendar data.

OPTIONS

--auth-pass, -P PASS
    Authenticate with specified password.

--auth-user, -U NAME
    Authenticate as specified user.

--clean-folders
    Empty target folders before importing into them.

--create-ex-mapping FILE
    Create a JSON file with a mapping of legacyExchangeDN to a found email address. For migrating Exchange generated PST's which include a legacyExchangeDN instead of an email address in the from and sender properties. This generated mapping can be passed to --ex-mapping when importing a PST. Multiple PST files can be provided to generate the mapping file.

--config, -c FILE
    Load configuration settings from specified file.

--dismiss-reminders
    Dismiss reminders for events in the past.

--folder, -f PATH
    Import only folder(s) with specified path(s).

--import-root PATH
    Import data under folder with specific path (or name).

--index
    List messages/items contained in specified PST file.

--log-level, -l NAME
    Specify log-level, for example, error, warning, info or debug.

--ex-mapping FILE
    Use a mapping file to look up an email address for items with only a legacyExchangeDN.

--nid NID
    Import a specific nid, NIDs are shown when importing a PST with log level debug.

--server-socket, -s SOCKET
    Connect to storage server through specified socket.

--ssl-key, -k FILE
    Specify SSL key file.

--ssl-pass, -p PASSWORD
    Specify SSL key password.

--stats
    List folders contained in specified PST file.

--store, -S GUID
    GUID of store where to import specified PST file (or "public" to import to public store).

--summary
    Display a summary of the amount of folders, items and attachments for a given PST.

--user, -u NAME
    Name of user for who to import the specified PST file.

EXAMPLES

Import PST file name "outlook.pst" to store of user "bert":

kopano-migration-pst -u bert outlook.pst

Import PST file name "public.pst" into (new or existing) "imported" folder of public store:

kopano-migration-pst -S public --import-root=imported public.pst

Create mapping file with legacyExchangeDN to email addresses from multiple pst files.

kopano-migration-pst --create-ex-mapping mapping.json user2.pst user1.pst

Use mapping file when importing a PST with legacyExchangeDN addresses.

kopano-migration-pst -u user1 --ex-mapping mapping.json user1.pst